package com.sundot.airport.exam.logic.eighteen.model.result;

import com.sundot.airport.exam.enums.QuesCompScoreTypeEnum;
import com.sundot.airport.exam.enums.QuesTypeEnum;

import java.util.List;

/**
 * <b>功能名：</b>QuestionResult<br>
 * <b>说明：</b> 考试题目返回结果 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-30 liangxiao
 */
public class ExamQuestionResult {

    /**
     * 业务主键
     */
    private String quId;

    /**
     * 题目类型
     * - SINGLE单选；MULTIPLE多选；JUDGMENT判断；FILL_BLANK填空；CONNECTION连线
     */
    private QuesTypeEnum quType;

    /**
     * 题干内容
     */
    private String quContent;

    /**
     * 题目分类表业务主键
     */
    private String qcId;

    /**
     * 题目分类名称
     */
    private String qcName;

    /**
     * 题目满分
     */
    private Integer tpqTotalScore;

    /**
     * 积分方式（枚举=LEFT左增；RIGHT右减）
     */
    private QuesCompScoreTypeEnum tpqCompType;

    /**
     * A情况分值
     */
    private Integer tpqLeftScore;

    /**
     * B情况分值（一般是减分）
     */
    private Integer tpqRightScore;

    /**
     * 选项列表
     */
    private List<ExamQuesOptResult> options;

    public String getQuId() {
        return quId;
    }

    public void setQuId(String quId) {
        this.quId = quId;
    }

    public QuesTypeEnum getQuType() {
        return quType;
    }

    public void setQuType(QuesTypeEnum quType) {
        this.quType = quType;
    }

    public String getQuContent() {
        return quContent;
    }

    public void setQuContent(String quContent) {
        this.quContent = quContent;
    }

    public String getQcId() {
        return qcId;
    }

    public void setQcId(String qcId) {
        this.qcId = qcId;
    }

    public String getQcName() {
        return qcName;
    }

    public void setQcName(String qcName) {
        this.qcName = qcName;
    }

    public List<ExamQuesOptResult> getOptions() {
        return options;
    }

    public void setOptions(List<ExamQuesOptResult> options) {
        this.options = options;
    }

    public Integer getTpqTotalScore() {
        return tpqTotalScore;
    }

    public void setTpqTotalScore(Integer tpqTotalScore) {
        this.tpqTotalScore = tpqTotalScore;
    }

    public QuesCompScoreTypeEnum getTpqCompType() {
        return tpqCompType;
    }

    public void setTpqCompType(QuesCompScoreTypeEnum tpqCompType) {
        this.tpqCompType = tpqCompType;
    }

    public Integer getTpqLeftScore() {
        return tpqLeftScore;
    }

    public void setTpqLeftScore(Integer tpqLeftScore) {
        this.tpqLeftScore = tpqLeftScore;
    }

    public Integer getTpqRightScore() {
        return tpqRightScore;
    }

    public void setTpqRightScore(Integer tpqRightScore) {
        this.tpqRightScore = tpqRightScore;
    }

    @Override
    public String toString() {
        return "ExamQuestionResult{" +
                "quId='" + quId + '\'' +
                ", quType=" + quType +
                ", quContent='" + quContent + '\'' +
                ", qcId='" + qcId + '\'' +
                ", qcName='" + qcName + '\'' +
                ", tpqTotalScore=" + tpqTotalScore +
                ", tpqCompType=" + tpqCompType +
                ", tpqLeftScore=" + tpqLeftScore +
                ", tpqRightScore=" + tpqRightScore +
                ", options=" + options +
                '}';
    }
}
